Get web form configuration
The Web Forms API is available in all developer accounts, but only in certain production account plans. Contact Docusign Support or your account manager to find out whether the Web Forms API is available for your production account plan.
Retrieves a web form configuration.
If you make changes to an active form configuration, the unchanged active version will also be maintained. The two versions will have the same formId but different formState values. Use the state query parameter to indicate which version to return.
Required authentication scopes: signature, webforms_read.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
The state of the web form configuration. Valid values:
activedraft
Response
When true, the web form configuration has changes that are not yet published.
When true, the web form configuration is activated. You can only create web form instances from enabled web forms.
Whether the form is published (true or false).